# Copyright (c) 2020 ISP RAS (http://www.ispras.ru)
# Ivannikov Institute for System Programming of the Russian Academy of Sciences
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from clade.extensions.cc import CC


class CXX(CC):
    """Class for parsing C++ build commands."""

    __version__ = "1"

    def parse(self, cmds_file):
        which_list = list(self.conf.get("CXX.which_list", []))

        if self.conf.get("CXX.process_ccache"):
            which_list.append("ccache")

        super(CC, self).parse(cmds_file, which_list)
